- Home
- Cyrus IMAP
- Download
- Contribute

# Cyrus SASL

# sasl_auxprop_getctx - Acquire an auxiliary property context

## Synopsis

    #include <sasl/sasl.h>

    int sasl_auxprop_getctx(sasl_conn_t *conn)

## Description

int sasl_auxprop_getctx(sasl_conn_t *conn)

  Fetches an auxiliary property context for the connection on which the functions described in sasl_auxprop(3) can operate.

  Parameters

    - conn – pointer to the `sasl_conn_t` for which the request is being made.

  Returns

    A pointer to the context on success. Returns NULL on failure.

type sasl_conn_t

  Context for a SASL connection negotiation

## Conforming to

RFC 4422

## See Also

sasl(3), sasl_auxprop(3), sasl_auxprop_request(3)